Bug 154622 - [PATCH] databases/p5-DBIx-Class: update to 0.08127
Summary: [PATCH] databases/p5-DBIx-Class: update to 0.08127
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-09 19:50 UTC by Jonathan Chu
Modified: 2011-02-12 05:00 UTC (History)
1 user (show)

See Also:


Attachments
p5-DBIx-Class-0.08127.patch (2.33 KB, patch)
2011-02-09 19:50 UTC, Jonathan Chu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chu 2011-02-09 19:50:11 UTC
- Update to 0.08127

Added file(s):
- p5-DBIx-Class-0.08127.tbz

Port maintainer (perl@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99

This PR depends on the completion of PR ports/154620.
Comment 1 Edwin Groothuis freebsd_committer 2011-02-09 19:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jonathan Chu 2011-02-09 21:36:32 UTC
>Submitter-Id:	current-users
>Originator:	Jonathan Chu
>Organization:	UC Berkeley - RSSP-IT
>Confidential:	no 
>Synopsis:	Re: ports/154622: [PATCH] databases/p5-DBIx-Class: update to 0.08127
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		update
>Release:	FreeBSD 7.3-RELEASE-p4 amd64
>Environment:
System: FreeBSD dev-www7.rescomp.berkeley.edu 7.3-RELEASE-p4 FreeBSD 7.3-RELEASE-p4 #15: Tue Nov 30 11:51:59 PST 2010
>Description:
- Update to 0.08127

Port maintainer (perl@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99

Rearranged Makefile to make portlint happy.
This PR depends on the completion of PR ports/154620.
>How-To-Repeat:
>Fix:

--- p5-DBIx-Class-0.08127.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/databases/p5-DBIx-Class/Makefile /tmp/milki/ports/p5-DBIx-Class/Makefile
--- /usr/ports/databases/p5-DBIx-Class/Makefile	2010-12-30 07:32:05.000000000 -0800
+++ /tmp/milki/ports/p5-DBIx-Class/Makefile	2011-02-09 12:25:30.000000000 -0800
@@ -2,23 +2,19 @@
 # Date created:		14 Aug 2005
 # Whom:			Lars Balker Rasmussen <lbr@FreeBSD.org>
 #
-# $FreeBSD: ports/databases/p5-DBIx-Class/Makefile,v 1.65 2010/12/30 15:32:05 mat Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	DBIx-Class
-PORTVERSION=	0.08126
+PORTVERSION=	0.08127
 CATEGORIES=	databases perl5
 MASTER_SITES=	CPAN
-MASTER_SITE_SUBDIR=	../by-authors/id/A/AR/ARCANEZ
+MASTER_SITE_SUBDIR=	../by-authors/id/A/AB/ABRAXXA
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	perl@FreeBSD.org
 COMMENT=	Extensible and flexible object <-> relational mapper
 
-TEST_DEPENDS=	p5-Test-Exception>=0:${PORTSDIR}/devel/p5-Test-Exception \
-		p5-Test-Simple>=0.90:${PORTSDIR}/devel/p5-Test-Simple \
-		p5-Test-Warn>=0:${PORTSDIR}/devel/p5-Test-Warn \
-		p5-DBD-SQLite>=0:${PORTSDIR}/databases/p5-DBD-SQLite
 RUN_DEPENDS=	p5-Carp-Clan>=6.0:${PORTSDIR}/devel/p5-Carp-Clan \
 		p5-Class-Accessor-Grouped>=0.09003:${PORTSDIR}/devel/p5-Class-Accessor-Grouped \
 		p5-Class-C3-Componentised>=1.0005:${PORTSDIR}/devel/p5-Class-C3-Componentised \
@@ -35,9 +31,14 @@
 		p5-Scope-Guard>=0.03:${PORTSDIR}/devel/p5-Scope-Guard \
 		p5-Context-Preserve>=0.01:${PORTSDIR}/devel/p5-Context-Preserve \
 		p5-Try-Tiny>=0.04:${PORTSDIR}/lang/p5-Try-Tiny \
-		p5-namespace-clean>=0.14:${PORTSDIR}/devel/p5-namespace-clean \
+		p5-namespace-clean>=0.20:${PORTSDIR}/devel/p5-namespace-clean \
 		p5-Math-Base36>=0.07:${PORTSDIR}/math/p5-Math-Base36
 
+TEST_DEPENDS=	p5-Test-Exception>=0:${PORTSDIR}/devel/p5-Test-Exception \
+		p5-Test-Simple>=0.90:${PORTSDIR}/devel/p5-Test-Simple \
+		p5-Test-Warn>=0.21:${PORTSDIR}/devel/p5-Test-Warn \
+		p5-DBD-SQLite>=0:${PORTSDIR}/databases/p5-DBD-SQLite
+
 OPTIONS=	SQLT "SQL::Translator (generate DDL from schema)" Off
 
 .include <bsd.port.options.mk>
diff -ruN --exclude=CVS /usr/ports/databases/p5-DBIx-Class/distinfo /tmp/milki/ports/p5-DBIx-Class/distinfo
--- /usr/ports/databases/p5-DBIx-Class/distinfo	2010-12-30 07:32:05.000000000 -0800
+++ /tmp/milki/ports/p5-DBIx-Class/distinfo	2011-02-08 22:39:34.000000000 -0800
@@ -1,2 +1,2 @@
-SHA256 (DBIx-Class-0.08126.tar.gz) = 30a29f627f8bf9ea7259cf0742b3dd7a342cfbb6ac0db4c16b1cd57fe622b616
-SIZE (DBIx-Class-0.08126.tar.gz) = 601518
+SHA256 (DBIx-Class-0.08127.tar.gz) = 785068afd961396e903b4d79797baeb4b8a78dae258c12474caa0fc7050c9312
+SIZE (DBIx-Class-0.08127.tar.gz) = 614561
--- p5-DBIx-Class-0.08127.patch ends here ---
Comment 3 Martin Wilke freebsd_committer 2011-02-09 22:52:45 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 4 dfilter service freebsd_committer 2011-02-12 04:59:05 UTC
miwi        2011-02-12 04:59:01 UTC

  FreeBSD ports repository

  Modified files:
    databases/p5-DBIx-Class Makefile distinfo 
  Log:
  - Update to 0.08127
  
  PR:             154622
  Submitted by:   Jonathan Chu <milki@rescomp.berkeley.edu>
  
  Revision  Changes    Path
  1.66      +4 -4      ports/databases/p5-DBIx-Class/Makefile
  1.53      +2 -2      ports/databases/p5-DBIx-Class/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2011-02-12 04:59:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!